﻿using System.Windows;
using System.Windows.Interactivity;

namespace SpiderWebDemo
{
	public class RemoveSpiderItemAction : TriggerAction<FrameworkElement>
	{
		protected override void Invoke(object parameter)
		{
			var vm = AssociatedObject.DataContext as NodeViewModel;
			var parentVM = vm.Parent;
			if (vm != null && parentVM != null)
			{
				parentVM.Children.Remove(vm);
			}
		}
	}
}